import BlogData from "@comp/Pages/Blog/BlogData/page";
import { useRouter } from "next/navigation";

async function getData(id) {
  try {
    const res = await fetch(`${process.env.NEXT_PUBLIC_API_URL}/blog/${id}`, {
      cache: "no-cache",
    });
    const post = await res.json();
    return post;
  } catch (error) {
    return false;
  }
}
export async function generateMetadata({ params }) {
  const data = await getData(params.slug[0]);

  console.log(data);

  const metadataUrl = new URL(
    `blogs/${params.slug[0]}/${data?.product?.persianName}`,
    process.env.NEXT_PUBLIC_APP_URL
  );
  return {
    title: data?.title,
    description: `${
      data?.title
    } ${""}در گروه وکلای حامیان عدالت بیشتر بدانید    `,
    metadataBase: metadataUrl,
    keywords: [
      data?.title,
      "بهترین وکیل چک تهران",
      "بهترین وکیل ساختمان در تهران",
      "وکیل سایبری در تهران",
    ],

    openGraph: {
      title: data?.title,
      description: `${
        data?.title
      } ${""}در گروه وکلای حامیان عدالت بیشتر بدانید    `,
      url: metadataUrl,
      type: "website",
      locale: "fa-IR",
      type: "website",
    },
  };
}

const page = async ({ params }) => {
  const data = await getData(params.slug[0]);

  return <BlogData data={data} />;
};

export default page;
